--- a/setup.py
+++ b/setup.py
@@ -1,4 +1,7 @@
-from distutils.core import setup
+try:
+    from setuptools import setup
+except ImportError:
+    from distutils.core import setup
 
 
 
@@ -20,10 +23,13 @@
     #package_data = {'package' : files },
     #'runner' is in the root.
     scripts = ["gkstart"],
+    test_suite='nose.collector',
+    tests_require=['nose'],    
     long_description = """GNUKhata is a foss based accounting and inventory software that helps book keeping for small scale enterprises as well as big organisations.""" 
     #
     #This next part it for the Cheese Shop, look a little down the page.
     #classifiers = []     
+
 ) 
 
     
